Get environments for service

Base URL
https://{kibana_url}
  • GET /api/apm/settings/agent-configuration/environments
Auth

Retrieve the available environments for a given service, to be used in agent configuration. You must have read privileges for the APM and User Experience feature in Kibana. If serviceName is omitted, environments across all services are returned.

Query parameters

serviceName string

The name of the service. If omitted, environments across all services are returned.

Example: opbeans-node

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31

Responses

Successful response

application/json
environments object[]

Service environment list

alreadyConfigured boolean

Already configured

name string

Service environment name

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}